﻿using Avalonia.Controls;
using ReactiveUI;

namespace Calculator.ViewModels
{
    public class MainWindowViewModel : ViewModelBase
    {
        UserControl us = new Login();

        public UserControl US { get => us; set => this.RaiseAndSetIfChanged(ref us, value); }

        public LoginViewModel loginPage = new LoginViewModel();
        public LoginViewModel LP { get => loginPage; set => loginPage = value; }

        public CalculatorPageViewModel calculator = new CalculatorPageViewModel();
        public CalculatorPageViewModel CP { get => calculator; set => calculator = value; }

        public void ToCalculator()
        {
            if (LP.LogIn())
            {
                US = new CalculatorPage();
            }
        }
    }
}